HeyGen integration: operations for AI agents
HeyGen connects to Type.com as an integration. This page lists the 53 operations documented for Claude and Codex in Type.com: 23 read, 27 write, 3 destructive.
About HeyGen
HeyGen is an innovative video platform that harnesses the power of generative AI to streamline your video creation process
Categories: Design & Media
How to connect HeyGen to Type.com
- Access
- Organization connection: one shared account for the workspace.
- MCP
- This integration is not available through Type’s MCP server. It remains available in Type.
To add the connection, follow the steps in Space connections.
Documented operations
53 operations. Your connection's permissions determine which operations are available. API references describe the vendor surface; they do not expand your connection's credentials or access.
53 operations listed.
Videos
- Read
Retrieve Video Status/Details
This endpoint allows you to retrieve the status and details of a specific video.
- Read
Retrieve Video List
This endpoint retrieves a list of videos associated with the user.
- Write
Create Avatar Video (V2)
This API now generates videos with our New AI Studio backend.
- Write
Create a WebM Video
Generates a webm video with transparent background and an avatar speaking the input text. You can customize the avatar's pose, style, and voice, as well as the dimensions of the video.
- Destructive
Delete a Video
DELETE /v1/video.delete
Webhooks
- Read
List Webhook Endpoints
list all your registered webhook endpoints
- Read
List Available Webhook Events
list all supported webhook events
- Write
Add a Webhook Endpoint
POST /v1/webhook/endpoint.add
- Write
Update a Webhook Endpoint
update an existing webhook endpoint
- Destructive
Delete a Webhook Endpoint
delete an existing webhook endpoint
Avatars
- Read
List All Avatars (V2)
You can get your Avatars and Talking Photos(Photo Avatars) with this endpoint.
- Read
List All Avatar Groups
List all avatar groups
- Read
List All Avatars in one avatar group
List all avatars in one avatar group
Templates
- Read
Retrieve Template Details
This API now supports New AI Studio!
- Read
List Templates
This API now supports New AI Studio!
- Read
Retrieve Template Details (V3)
Retrieves template details by ID, including variables available for replacement and scene mappings for the New AI Studio.
- Write
Generate Video from Template
This API now supports New AI Studio!
Voices
- Read
List All Voices (V2)
GET /v2/voices
- Read
List Brand Voices
This endpoint is used to retrieve a list of brand voices your created
- Write
Update Brand Voice
Updates an existing brand voice with specified changes. Only the fields that need to be modified should be included in the request body.
Video Translation
- Read
List Supported Languages
GET /v2/video_translate/target_languages
- Read
Check Translation Status
GET /v2/video_translate/{video_translate_id}
- Write
Translate Video
POST /v2/video_translate
Streaming
- Read
List Sessions
This endpoint is used to retrieve a list of currently active streaming sessions.
- Read
List Streaming Avatars
This API endpoint allows you to retrieve a list of public and custom interactive avatars.
- Write
Send Task
This endpoint is used to send a text to an Interactive Avatar, prompting it to speak the provided text.
- Write
Close Session
This endpoint is used to terminate an active streaming session.
- Write
Start Session
This endpoint is used to start the connection for an existing streaming session.
- Write
New Session
This endpoint is used to initiate a new streaming session.
- Write
Create Session Token
This endpoint is used to generate a new access token for a streaming session.
- Write
Interrupt Task
This endpoint is used to interrupt the speaking of an Interactive Avatar.
Account
- Read
Get Remaining Quota
GET /v2/user/remaining_quota
- Read
Get Current User Information
GET /v1/user/me
Photo Avatars
- Read
Check photo/look generation status
Check photo/look generation status
- Read
Get training job status
Get the training status of a avatar group
- Read
Photo avatar details
Get the details of a photo avatar
- Write
Generate photo avatar photos
This endpoint will generate photos that can be used to create photo avatars, returns a generation id, which can be used in the check generation status endpoint to get status and final image/image keys
- Write
Generate photo avatar looks
This endpoint can be used to generate additional looks for a trained photo avatar group. The photo avatar group must be trained to use this endpoint.
- Write
Create photo avatar group
This api can be used to create a photo avatar group For generated photo avatar, pass the generationid and the imagekey For user uploaded avatar, first upload the photo using the upload assets api.
- Write
Add looks to photo avatar group
Add other looks to existing photo avatar group
- Write
Train photo avatar group
Train a photo avatar group.
- Write
Add motion
Add motion to an existing photo avatar, returns the id of the new avatar that has motion
- Write
Add sound effect
This api adds sound effect into a photo avatar
- Write
Upscale an avatar
Call this api to upscale an avatar, can only be called on an avatar that has motion, returns the photo avatar id that is upscaled
Folders
- Read
List Folders
Retrieves a list of folders with optional filters.
- Write
Create Folder
POST /v1/folders/create
- Write
Update Folder (Rename Only)
Updates the name of an existing folder.
- Write
Trash Folder
Moves a folder to the trash.
- Write
Restore Folder
POST /v1/folders/{folder_id}/restore
Assets
- Write
Upload Asset
Uploads a media file (image, video, or audio) to the authenticated user's HeyGen account and returns the asset ID for future use.
Digital Twins
- Read
Get Digital Twin Generation Status
Checks the current status of the Digital Twin generation process and returns relevant details.
- Write
Create Digital Twin
Submits the URLs for the required training footage and consent statement to create a Digital Twin.
- Destructive
Delete Digital Twin
Deletes a Digital Twin by its ID.
No operations match.
See How connections work for access and permissions, or browse all integrations.